/*
 *
 * Copyright (c) Nextian. All rights reserved.
 *
 * This software is furnished under a license. Use, duplication,
 * disclosure and all other uses are restricted to the rights
 * specified in the written license agreement.
 */
package com.nextian.icmpping.helpers.exceptions;

import com.nextian.icmpping.helpers.Ping;

/**
 * Generic exceptions thrown by the {@link Ping} class.
 * ERROR conditions are indicated by {@link PingErrorException}.
 */
public class PingException extends Exception {
    /**
     * The only constructor.
     *
     * @param message detail message
     * @param cause   exceptions cause
     */
    PingException(String message, Exception cause) {
        super(message, cause);
    }
}
