/*
 *
 * Copyright (c) Nextian. All rights reserved.
 *
 * This software is furnished under a license. Use, duplication,
 * disclosure and all other uses are restricted to the rights
 * specified in the written license agreement.
 */
package com.nextian.icmpping.jni.exception;

import com.nextian.icmpping.jni.IcmpSocket;

/**
 * Exception thrown when timeout occurs during {@link IcmpSocket#receive()}.
 */
public class IcmpTimeoutException extends IcmpException {

    static final private String message = "TIMEOUT on socket operation";

    public IcmpTimeoutException() {
        super(message);
    }
}
