/*
 *
 * Copyright (c) Nextian. All rights reserved.
 *
 * This software is furnished under a license. Use, duplication,
 * disclosure and all other uses are restricted to the rights
 * specified in the written license agreement.
 */

package com.nextian.icmpping.helpers.exceptions;

import com.nextian.icmpping.helpers.Ping;

/**
 * ERROR exceptions thrown by the {@link Ping} class.
 */
public class PingErrorException extends PingException {
    /**
     * The only constructor.
     *
     * @param message detail message
     * @param cause   exceptions cause
     */
    public PingErrorException(String message, Exception cause) {
        super(message, cause);
    }
}
