/*
 *
 * Copyright (c) Nextian. All rights reserved.
 *
 * This software is furnished under a license. Use, duplication,
 * disclosure and all other uses are restricted to the rights
 * specified in the written license agreement.
 */
package com.nextian.icmpping.jni.exception;

import com.nextian.icmpping.jni.IcmpSocket;

/**
 * Base class for all {@link IcmpSocket} exceptions.
 */
public class IcmpException extends Exception {
    /**
     * Exception constructor.
     *
     * @param errorMessage error message for the exceptions
     */
    public IcmpException(String errorMessage) {
        super(errorMessage);
    }
}
