/*
 *
 * Copyright (c) Nextian. All rights reserved.
 *
 * This software is furnished under a license. Use, duplication,
 * disclosure and all other uses are restricted to the rights
 * specified in the written license agreement.
 */
package com.nextian.icmpping.jni.exception;

/**
 * Fatal exceptions used to indicate JNI problems (e.g. JNI is not able to create Java objects).
 */
public class IcmpFatalErrorException extends IcmpException
{
    /**
     * The exceptions constructor.
     * @param errorString string describes exceptions
     */
    public IcmpFatalErrorException(String errorString) {
        super(errorString);
    }
}
