/*
Copyright (c) Nextian. All rights reserved.

This software is furnished under a license. Use, duplication,
disclosure and all other uses are restricted to the rights
specified in the written license agreement.
*/

#include <wtypes.h>
#include <WinBase.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <varargs.h>
#include <tchar.h>
#include "IcmpDebug.h"

int IcmpOutputDebugString(const TCHAR *format, ...)
{
	va_list parameters;
	TCHAR buffer[ICMP_DEBUG_OUTPUT_BUFFER_SIZE];
	int result = -1;

	va_start(parameters, format);
	buffer[0] = 0;	// just in case if _vsnprintf_s below fails 
	result = _vsntprintf_s(buffer, ICMP_DEBUG_OUTPUT_BUFFER_SIZE - 1, _TRUNCATE, format, parameters);
	OutputDebugString(buffer);

	va_end(parameters);
	return result;
}
